Name: bcunit
Version: 5.2.0
Release: 1%{?dist}
Summary: Provide C programmers basic testing functionality
License: GPL-2.0-or-later and GFDL-1.2-or-later
URL: https://gitlab.linphone.org/BC/public/bcunit/

Source: https://gitlab.linphone.org/BC/public/bcunit/-/archive/%{version}/%{name}-%{version}.tar.gz

# Patches.
Patch00: bcunit_sover.patch

BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gcc
BuildRequires: libtool

%description
BCUnit is a unit testing framework for C, derived from CUnit.
(B)CUnit provides various interfaces to the framework, some of which
are platform dependent (e.g. curses on *nix). The framework complies
with the conventional structure of test cases bundled into suites
which are registered with the framework for running.

%package devel
Summary: BCUnit development files
Requires: %{name}%{?_isa} = %{version}-%{release}
Recommends: %{name}-doc = %{version}

%description devel
BCUnit is a unit testing framework for C.
This package installs the BCUnit development files.

%package doc
Summary: BCUnit documentation
BuildArchitectures: noarch

%description doc
BCUnit is a unit testing framework for C.
This package installs the BCUnit documentation files.

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_STATIC=OFF \
  -DENABLE_DOC=ON
%cmake_build

%install
%cmake_install

# Remove .la files.
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog NEWS README.md TODO
%license COPYING
%{_libdir}/libbcunit.so.1*

%files doc
%dir %{_datadir}/BCUnit/
%dir %{_datadir}/doc/BCUnit/
%doc %{_datadir}/doc/BCUnit/*
%doc %{_datadir}/BCUnit/*
%{_mandir}/man3/BCUnit.3*

%files devel
%{_includedir}/BCUnit/
%dir %{_datadir}/BCunit/
%{_libdir}/libbcunit.so
%{_libdir}/pkgconfig/bcunit.pc
%{_datadir}/BCunit/cmake/

%changelog
* Thu Mar 09 2023 Phil Wyett <philip.wyett@kathenas.org> - 5.2.0-1
- Initial package.
